Don't load changesets when IssuesController#show processes API requests without
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 5.1.0   

Description

Currently, changesets are always being loaded in IssuesController when API requests for IssuesController#show are made.

However, loading Changesets is not necessary unless "include=changesets" is specified in the API request parameters.

The attached patch can improve the performance of "GET /issues/:id.(json|xml)" by loading changesets only when they are

necessary.

Associated revisions

Revision 21746 - 2022-07-31 15:00 - Go MAEDA

Don't load changesets when IssuesController#show processes API requests without "include=changesets" (#37528).

Patch by Go MAEDA.

History

#1 - 2022-07-29 12:45 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2022-07-31 15:00 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

skip-loading-changesets.patch 1.23 KB 2022-07-29 Go MAEDA
